pub use chrono::*;
/// 日志日期格式
pub const LOG_DATE_FORMAT: &'static str = "[%Y-%m-%d][%H:%M:%S]";
/// 日志日期文件格式
pub const LOG_FILE_DATE_FORMAT: &'static str = "%Y-%m-%d_%H-%M-%S";

/// 时间结构
#[derive(Debug, Clone)]
pub enum TimezoneStrategy {
  /// 
  UseUtc,
  ///
  UseLocal,
}

impl TimezoneStrategy {
  /// 获取当前
  pub fn get_now(&self) -> DateTime<Utc> {
    match self {
      TimezoneStrategy::UseUtc => Utc::now(),
      TimezoneStrategy::UseLocal => Local::now().with_timezone(&Utc), // Fallback to UTC since Rust cannot determine local timezone
    }
  }
}